-- name: \\#FF8000\\Sound test\\#FF8000\\ 
-- description: \\#FF8000\\ Test in game sounds\\#FF8000\\ 
local sounds = {
    { name = "NO_SOUND", value = NO_SOUND },
   -- { name = "SOUNDARGS_MASK_BANK", value = SOUNDARGS_MASK_BANK },
   -- { name = "SOUNDARGS_MASK_PRIORITY", value = SOUNDARGS_MASK_PRIORITY },
    { name = "SOUND_GENERAL_RACE_GUN_SHOT", value = SOUND_GENERAL_RACE_GUN_SHOT },
    { name = "SOUNDARGS_MASK_SOUNDID", value = SOUNDARGS_MASK_SOUNDID },
    { name = "SOUNDARGS_MASK_STATUS", value = SOUNDARGS_MASK_STATUS },
    { name = "SOUNDARGS_SHIFT_BANK", value = SOUNDARGS_SHIFT_BANK },
    { name = "SOUNDARGS_SHIFT_PRIORITY", value = SOUNDARGS_SHIFT_PRIORITY },
    { name = "SOUNDARGS_SHIFT_SOUNDID", value = SOUNDARGS_SHIFT_SOUNDID },
    { name = "SOUND_ACTION_BONK", value = SOUND_ACTION_BONK },
    { name = "SOUND_ACTION_BOUNCE_OFF_OBJECT", value = SOUND_ACTION_BOUNCE_OFF_OBJECT },
    { name = "SOUND_ACTION_BRUSH_HAIR", value = SOUND_ACTION_BRUSH_HAIR },
    { name = "SOUND_ACTION_CLAP_HANDS_COLD", value = SOUND_ACTION_CLAP_HANDS_COLD },
    { name = "SOUND_ACTION_CLIMB_DOWN_TREE", value = SOUND_ACTION_CLIMB_DOWN_TREE },
    { name = "SOUND_ACTION_CLIMB_UP_POLE", value = SOUND_ACTION_CLIMB_UP_POLE },
    { name = "SOUND_ACTION_CLIMB_UP_TREE", value = SOUND_ACTION_CLIMB_UP_TREE },
    { name = "SOUND_ACTION_FLYING_FAST", value = SOUND_ACTION_FLYING_FAST },
    { name = "SOUND_ACTION_HANGING_STEP", value = SOUND_ACTION_HANGING_STEP },
    { name = "SOUND_ACTION_HIT", value = SOUND_ACTION_HIT },
    { name = "SOUND_ACTION_HIT_2", value = SOUND_ACTION_HIT_2 },
    { name = "SOUND_ACTION_HIT_3", value = SOUND_ACTION_HIT_3 },
    { name = "SOUND_ACTION_INTRO_UNK45E", value = SOUND_ACTION_INTRO_UNK45E },
    { name = "SOUND_ACTION_INTRO_UNK45F", value = SOUND_ACTION_INTRO_UNK45F },
    { name = "SOUND_ACTION_KEY_SWISH", value = SOUND_ACTION_KEY_SWISH },
    { name = "SOUND_ACTION_METAL_BONK", value = SOUND_ACTION_METAL_BONK },
    { name = "SOUND_ACTION_METAL_HEAVY_LANDING", value = SOUND_ACTION_METAL_HEAVY_LANDING },
    { name = "SOUND_ACTION_METAL_JUMP", value = SOUND_ACTION_METAL_JUMP },
    { name = "SOUND_ACTION_METAL_JUMP_WATER", value = SOUND_ACTION_METAL_JUMP_WATER },
    { name = "SOUND_ACTION_METAL_LANDING", value = SOUND_ACTION_METAL_LANDING },
    { name = "SOUND_ACTION_METAL_LAND_WATER", value = SOUND_ACTION_METAL_LAND_WATER },
    { name = "SOUND_ACTION_METAL_STEP", value = SOUND_ACTION_METAL_STEP },
    { name = "SOUND_ACTION_METAL_STEP_TIPTOE", value = SOUND_ACTION_METAL_STEP_TIPTOE },
    { name = "SOUND_ACTION_METAL_STEP_WATER", value = SOUND_ACTION_METAL_STEP_WATER },
    { name = "SOUND_ACTION_PAT_BACK", value = SOUND_ACTION_PAT_BACK },
    { name = "SOUND_ACTION_QUICKSAND_STEP", value = SOUND_ACTION_QUICKSAND_STEP },
    { name = "SOUND_ACTION_READ_SIGN", value = SOUND_ACTION_READ_SIGN },
    { name = "SOUND_ACTION_SHRINK_INTO_BBH", value = SOUND_ACTION_SHRINK_INTO_BBH },
    { name = "SOUND_ACTION_SIDE_FLIP_UNK", value = SOUND_ACTION_SIDE_FLIP_UNK },
    { name = "SOUND_ACTION_SPIN", value = SOUND_ACTION_SPIN },
    { name = "SOUND_ACTION_SWIM", value = SOUND_ACTION_SWIM },
    { name = "SOUND_ACTION_SWIM_FAST", value = SOUND_ACTION_SWIM_FAST },
    { name = "SOUND_ACTION_TELEPORT", value = SOUND_ACTION_TELEPORT },
    { name = "SOUND_ACTION_TERRAIN_BODY_HIT_GROUND", value = SOUND_ACTION_TERRAIN_BODY_HIT_GROUND },
    { name = "SOUND_ACTION_TERRAIN_HEAVY_LANDING", value = SOUND_ACTION_TERRAIN_HEAVY_LANDING },
    { name = "SOUND_ACTION_TERRAIN_JUMP", value = SOUND_ACTION_TERRAIN_JUMP },
    { name = "SOUND_ACTION_TERRAIN_LANDING", value = SOUND_ACTION_TERRAIN_LANDING },
    { name = "SOUND_ACTION_TERRAIN_STEP", value = SOUND_ACTION_TERRAIN_STEP },
    { name = "SOUND_ACTION_TERRAIN_STEP_TIPTOE", value = SOUND_ACTION_TERRAIN_STEP_TIPTOE },
    { name = "SOUND_ACTION_TERRAIN_STUCK_IN_GROUND", value = SOUND_ACTION_TERRAIN_STUCK_IN_GROUND },
    { name = "SOUND_ACTION_THROW", value = SOUND_ACTION_THROW },
        { name = "SOUND_ACTION_TWIRL", value = SOUND_ACTION_TWIRL },
        { name = "SOUND_ACTION_UNK3C", value = SOUND_ACTION_UNK3C },
        { name = "SOUND_ACTION_UNK53", value = SOUND_ACTION_UNK53 },
        { name = "SOUND_ACTION_UNK54", value = SOUND_ACTION_UNK54 },
        { name = "SOUND_ACTION_UNK55", value = SOUND_ACTION_UNK55 },
        { name = "SOUND_ACTION_UNK5D", value = SOUND_ACTION_UNK5D },
        { name = "SOUND_ACTION_UNKNOWN430", value = SOUND_ACTION_UNKNOWN430 },
        { name = "SOUND_ACTION_UNKNOWN431", value = SOUND_ACTION_UNKNOWN431 },
        { name = "SOUND_ACTION_UNKNOWN432", value = SOUND_ACTION_UNKNOWN432 },
        { name = "SOUND_ACTION_UNKNOWN434", value = SOUND_ACTION_UNKNOWN434 },
        { name = "SOUND_ACTION_UNKNOWN43D", value = SOUND_ACTION_UNKNOWN43D },
        { name = "SOUND_ACTION_UNKNOWN43E", value = SOUND_ACTION_UNKNOWN43E },
        { name = "SOUND_ACTION_UNKNOWN458", value = SOUND_ACTION_UNKNOWN458 },
        { name = "SOUND_ACTION_UNKNOWN45C", value = SOUND_ACTION_UNKNOWN45C },
        { name = "SOUND_ACTION_UNSTUCK_FROM_GROUND", value = SOUND_ACTION_UNSTUCK_FROM_GROUND },
        { name = "SOUND_AIR_AMP_BUZZ", value = SOUND_AIR_AMP_BUZZ },
        { name = "SOUND_AIR_BLOW_FIRE", value = SOUND_AIR_BLOW_FIRE },
        { name = "SOUND_AIR_BLOW_WIND", value = SOUND_AIR_BLOW_WIND },
        { name = "SOUND_AIR_BOBOMB_LIT_FUSE", value = SOUND_AIR_BOBOMB_LIT_FUSE },
        { name = "SOUND_AIR_BOWSER_SPIT_FIRE", value = SOUND_AIR_BOWSER_SPIT_FIRE },
        { name = "SOUND_AIR_CASTLE_OUTDOORS_AMBIENT", value = SOUND_AIR_CASTLE_OUTDOORS_AMBIENT },
        { name = "SOUND_AIR_CHUCKYA_MOVE", value = SOUND_AIR_CHUCKYA_MOVE },
        { name = "SOUND_AIR_HEAVEHO_MOVE", value = SOUND_AIR_HEAVEHO_MOVE },
        { name = "SOUND_AIR_HOWLING_WIND", value = SOUND_AIR_HOWLING_WIND },
        { name = "SOUND_AIR_LAKITU_FLY", value = SOUND_AIR_LAKITU_FLY },
        { name = "SOUND_AIR_LAKITU_FLY_HIGHPRIO", value = SOUND_AIR_LAKITU_FLY_HIGHPRIO },
        { name = "SOUND_AIR_PEACH_TWINKLE", value = SOUND_AIR_PEACH_TWINKLE },
        { name = "SOUND_AIR_ROUGH_SLIDE", value = SOUND_AIR_ROUGH_SLIDE },
        { name = "SOUND_AIR_UNK01", value = SOUND_AIR_UNK01 },
        { name = "SOUND_AIR_UNK07", value = SOUND_AIR_UNK07 },
        { name = "SOUND_BANKS_ALL", value = SOUND_BANKS_ALL },
        { name = "SOUND_BANKS_ALL_BITS", value = SOUND_BANKS_ALL_BITS },
        { name = "SOUND_BANKS_BACKGROUND", value = SOUND_BANKS_BACKGROUND },
        { name = "SOUND_BANKS_DISABLED_AFTER_CREDITS", value = SOUND_BANKS_DISABLED_AFTER_CREDITS },
        { name = "SOUND_BANKS_DISABLED_DURING_INTRO_CUTSCENE", value = SOUND_BANKS_DISABLED_DURING_INTRO_CUTSCENE },
        { name = "SOUND_BANKS_FOREGROUND", value = SOUND_BANKS_FOREGROUND },
        { name = "SOUND_BANK_ACTION", value = SOUND_BANK_ACTION },
        { name = "SOUND_BANK_AIR", value = SOUND_BANK_AIR },
        { name = "SOUND_BANK_COUNT", value = SOUND_BANK_COUNT },
        { name = "SOUND_BANK_ENV", value = SOUND_BANK_ENV },
        { name = "SOUND_BANK_GENERAL", value = SOUND_BANK_GENERAL },
        { name = "SOUND_BANK_GENERAL2", value = SOUND_BANK_GENERAL2 },
        { name = "SOUND_BANK_LUIGI_VOICE", value = SOUND_BANK_LUIGI_VOICE },
        { name = "SOUND_BANK_MARIO_VOICE", value = SOUND_BANK_MARIO_VOICE },
        { name = "SOUND_BANK_MENU", value = SOUND_BANK_MENU },
        { name = "SOUND_BANK_MOVING", value = SOUND_BANK_MOVING },
        { name = "SOUND_BANK_OBJ", value = SOUND_BANK_OBJ },
        { name = "SOUND_BANK_OBJ2", value = SOUND_BANK_OBJ2 },
        { name = "SOUND_BANK_TOAD_VOICE", value = SOUND_BANK_TOAD_VOICE },
        { name = "SOUND_BANK_WARIO_VOICE", value = SOUND_BANK_WARIO_VOICE },
        { name = "SOUND_CONSTANT_FREQUENCY", value = SOUND_CONSTANT_FREQUENCY },
        { name = "SOUND_DISCRETE", value = SOUND_DISCRETE },
        { name = "SOUND_ENV_BOAT_ROCKING1", value = SOUND_ENV_BOAT_ROCKING1 },
        { name = "SOUND_ENV_DRONING1", value = SOUND_ENV_DRONING1 },
        { name = "SOUND_ENV_DRONING2", value = SOUND_ENV_DRONING2 },
        { name = "SOUND_ENV_ELEVATOR1", value = SOUND_ENV_ELEVATOR1 },
        { name = "SOUND_ENV_ELEVATOR2", value = SOUND_ENV_ELEVATOR2 },
        { name = "SOUND_ENV_ELEVATOR3", value = SOUND_ENV_ELEVATOR3 },
        { name = "SOUND_ENV_ELEVATOR4", value = SOUND_ENV_ELEVATOR4 },
        { name = "SOUND_ENV_ELEVATOR4_2", value = SOUND_ENV_ELEVATOR4_2 },
        { name = "SOUND_ENV_MERRY_GO_ROUND_CREAKING", value = SOUND_ENV_MERRY_GO_ROUND_CREAKING },
        { name = "SOUND_ENV_METAL_BOX_PUSH", value = SOUND_ENV_METAL_BOX_PUSH },
        { name = "SOUND_ENV_MOVINGSAND", value = SOUND_ENV_MOVINGSAND },
        { name = "SOUND_ENV_MOVING_SAND_SNOW", value = SOUND_ENV_MOVING_SAND_SNOW },
        { name = "SOUND_ENV_SINK_QUICKSAND", value = SOUND_ENV_SINK_QUICKSAND },
        { name = "SOUND_ENV_SLIDING", value = SOUND_ENV_SLIDING },
        { name = "SOUND_ENV_STAR", value = SOUND_ENV_STAR },
        { name = "SOUND_ENV_UNK07", value = SOUND_ENV_UNK07 },
        { name = "SOUND_ENV_UNK12", value = SOUND_ENV_UNK12 },
        { name = "SOUND_ENV_UNKNOWN2", value = SOUND_ENV_UNKNOWN2 },
        { name = "SOUND_ENV_UNKNOWN4", value = SOUND_ENV_UNKNOWN4 },
        { name = "SOUND_ENV_WATER", value = SOUND_ENV_WATER },
        { name = "SOUND_ENV_WATERFALL1", value = SOUND_ENV_WATERFALL1 },
        { name = "SOUND_ENV_WATERFALL2", value = SOUND_ENV_WATERFALL2 },
        { name = "SOUND_ENV_WATER_DRAIN", value = SOUND_ENV_WATER_DRAIN },
        { name = "SOUND_ENV_WIND1", value = SOUND_ENV_WIND1 },
        { name = "SOUND_ENV_WIND2", value = SOUND_ENV_WIND2 },
        { name = "SOUND_GENERAL2_1UP_APPEAR", value = SOUND_GENERAL2_1UP_APPEAR },
        { name = "SOUND_GENERAL2_BIRD_CHIRP2", value = SOUND_GENERAL2_BIRD_CHIRP2 },
        { name = "SOUND_GENERAL2_BOBOMB_EXPLOSION", value = SOUND_GENERAL2_BOBOMB_EXPLOSION },
        { name = "SOUND_GENERAL2_BOWSER_EXPLODE", value = SOUND_GENERAL2_BOWSER_EXPLODE },
        { name = "SOUND_GENERAL2_BOWSER_KEY", value = SOUND_GENERAL2_BOWSER_KEY },
        { name = "SOUND_GENERAL2_PURPLE_SWITCH", value = SOUND_GENERAL2_PURPLE_SWITCH },
        { name = "SOUND_GENERAL2_PYRAMID_TOP_EXPLOSION", value = SOUND_GENERAL2_PYRAMID_TOP_EXPLOSION },
        { name = "SOUND_GENERAL2_PYRAMID_TOP_SPIN", value = SOUND_GENERAL2_PYRAMID_TOP_SPIN },
        { name = "SOUND_GENERAL2_RIGHT_ANSWER", value = SOUND_GENERAL2_RIGHT_ANSWER },
        { name = "SOUND_GENERAL2_ROTATING_BLOCK_ALERT", value = SOUND_GENERAL2_ROTATING_BLOCK_ALERT },
        { name = "SOUND_GENERAL2_ROTATING_BLOCK_CLICK", value = SOUND_GENERAL2_ROTATING_BLOCK_CLICK },
        { name = "SOUND_GENERAL2_SPINDEL_ROLL", value = SOUND_GENERAL2_SPINDEL_ROLL },
        { name = "SOUND_GENERAL2_STAR_APPEARS", value = SOUND_GENERAL2_STAR_APPEARS },
        { name = "SOUND_GENERAL2_SWITCH_TICK_FAST", value = SOUND_GENERAL2_SWITCH_TICK_FAST },
        { name = "SOUND_GENERAL2_SWITCH_TICK_SLOW", value = SOUND_GENERAL2_SWITCH_TICK_SLOW },
        { name = "SOUND_GENERAL_ACTIVATE_CAP_SWITCH", value = SOUND_GENERAL_ACTIVATE_CAP_SWITCH },
        { name = "SOUND_GENERAL_BIG_CLOCK", value = SOUND_GENERAL_BIG_CLOCK },
        { name = "SOUND_GENERAL_BIG_POUND", value = SOUND_GENERAL_BIG_POUND },
        { name = "SOUND_GENERAL_BIRDS_FLY_AWAY", value = SOUND_GENERAL_BIRDS_FLY_AWAY },
        { name = "SOUND_GENERAL_BOAT_ROCK", value = SOUND_GENERAL_BOAT_ROCK },
        { name = "SOUND_GENERAL_BOAT_TILT1", value = SOUND_GENERAL_BOAT_TILT1 },
        { name = "SOUND_GENERAL_BOAT_TILT2", value = SOUND_GENERAL_BOAT_TILT2 },
        { name = "SOUND_GENERAL_BOING1", value = SOUND_GENERAL_BOING1 },
        { name = "SOUND_GENERAL_BOING2", value = SOUND_GENERAL_BOING2 },
        { name = "SOUND_GENERAL_BOING2_LOWPRIO", value = SOUND_GENERAL_BOING2_LOWPRIO },
            { name = "SOUND_GENERAL_BOING3", value = SOUND_GENERAL_BOING3 },
            { name = "SOUND_GENERAL_BOWSER_BOMB_EXPLOSION", value = SOUND_GENERAL_BOWSER_BOMB_EXPLOSION },
            { name = "SOUND_GENERAL_BOWSER_PLATFORM", value = SOUND_GENERAL_BOWSER_PLATFORM },
            { name = "SOUND_GENERAL_BOWSER_PLATFORM_2", value = SOUND_GENERAL_BOWSER_PLATFORM_2 },
            { name = "SOUND_GENERAL_BOX_LANDING", value = SOUND_GENERAL_BOX_LANDING },
            { name = "SOUND_GENERAL_BOX_LANDING_2", value = SOUND_GENERAL_BOX_LANDING_2 },
            { name = "SOUND_GENERAL_BREAK_BOX", value = SOUND_GENERAL_BREAK_BOX },
            { name = "SOUND_GENERAL_BUBBLES", value = SOUND_GENERAL_BUBBLES },
            { name = "SOUND_GENERAL_BUTTON_PRESS", value = SOUND_GENERAL_BUTTON_PRESS },
            { name = "SOUND_GENERAL_BUTTON_PRESS_2", value = SOUND_GENERAL_BUTTON_PRESS_2 },
            { name = "SOUND_GENERAL_BUTTON_PRESS_2_LOWPRIO", value = SOUND_GENERAL_BUTTON_PRESS_2_LOWPRIO },
            { name = "SOUND_GENERAL_BUTTON_PRESS_LOWPRIO", value = SOUND_GENERAL_BUTTON_PRESS_LOWPRIO },
            { name = "SOUND_GENERAL_CAGE_OPEN", value = SOUND_GENERAL_CAGE_OPEN },
            { name = "SOUND_GENERAL_CANNON_UP", value = SOUND_GENERAL_CANNON_UP },
            { name = "SOUND_GENERAL_CASTLE_TRAP_OPEN", value = SOUND_GENERAL_CASTLE_TRAP_OPEN },
            { name = "SOUND_GENERAL_CHAIN_CHOMP1", value = SOUND_GENERAL_CHAIN_CHOMP1 },
            { name = "SOUND_GENERAL_CHAIN_CHOMP2", value = SOUND_GENERAL_CHAIN_CHOMP2 },
            { name = "SOUND_GENERAL_CLAM_SHELL1", value = SOUND_GENERAL_CLAM_SHELL1 },
            { name = "SOUND_GENERAL_CLAM_SHELL2", value = SOUND_GENERAL_CLAM_SHELL2 },
            { name = "SOUND_GENERAL_CLAM_SHELL3", value = SOUND_GENERAL_CLAM_SHELL3 },
            { name = "SOUND_GENERAL_CLOSE_IRON_DOOR", value = SOUND_GENERAL_CLOSE_IRON_DOOR },
            { name = "SOUND_GENERAL_CLOSE_WOOD_DOOR", value = SOUND_GENERAL_CLOSE_WOOD_DOOR },
            { name = "SOUND_GENERAL_COIN", value = SOUND_GENERAL_COIN },
            { name = "SOUND_GENERAL_COIN_DROP", value = SOUND_GENERAL_COIN_DROP },
            { name = "SOUND_GENERAL_COIN_SPURT", value = SOUND_GENERAL_COIN_SPURT },
            { name = "SOUND_GENERAL_COIN_SPURT_2", value = SOUND_GENERAL_COIN_SPURT_2 },
            { name = "SOUND_GENERAL_COIN_SPURT_EU", value = SOUND_GENERAL_COIN_SPURT_EU },
            { name = "SOUND_GENERAL_COIN_WATER", value = SOUND_GENERAL_COIN_WATER },
            { name = "SOUND_GENERAL_COLLECT_1UP", value = SOUND_GENERAL_COLLECT_1UP },
            { name = "SOUND_GENERAL_DONUT_PLATFORM_EXPLOSION", value = SOUND_GENERAL_DONUT_PLATFORM_EXPLOSION },
            { name = "SOUND_GENERAL_DOOR_INSERT_KEY", value = SOUND_GENERAL_DOOR_INSERT_KEY },
            { name = "SOUND_GENERAL_DOOR_TURN_KEY", value = SOUND_GENERAL_DOOR_TURN_KEY },
            { name = "SOUND_GENERAL_ELEVATOR_MOVE", value = SOUND_GENERAL_ELEVATOR_MOVE },
            { name = "SOUND_GENERAL_ELEVATOR_MOVE_2", value = SOUND_GENERAL_ELEVATOR_MOVE_2 },
            { name = "SOUND_GENERAL_ENEMY_ALERT1", value = SOUND_GENERAL_ENEMY_ALERT1 },
            { name = "SOUND_GENERAL_EXPLOSION6", value = SOUND_GENERAL_EXPLOSION6 },
            { name = "SOUND_GENERAL_EXPLOSION7", value = SOUND_GENERAL_EXPLOSION7 },
            { name = "SOUND_GENERAL_FLAME_OUT", value = SOUND_GENERAL_FLAME_OUT },
            { name = "SOUND_GENERAL_GRAND_STAR", value = SOUND_GENERAL_GRAND_STAR },
            { name = "SOUND_GENERAL_GRAND_STAR_JUMP", value = SOUND_GENERAL_GRAND_STAR_JUMP },
            { name = "SOUND_GENERAL_GRINDEL_ROLL", value = SOUND_GENERAL_GRINDEL_ROLL },
            { name = "SOUND_GENERAL_HAUNTED_CHAIR", value = SOUND_GENERAL_HAUNTED_CHAIR },
            { name = "SOUND_GENERAL_HAUNTED_CHAIR_MOVE", value = SOUND_GENERAL_HAUNTED_CHAIR_MOVE },
            { name = "SOUND_GENERAL_HEART_SPIN", value = SOUND_GENERAL_HEART_SPIN },
            { name = "SOUND_GENERAL_LEVEL_SELECT_CHANGE", value = SOUND_GENERAL_LEVEL_SELECT_CHANGE },
            { name = "SOUND_GENERAL_LOUD_POUND", value = SOUND_GENERAL_LOUD_POUND },
            { name = "SOUND_GENERAL_LOUD_POUND2", value = SOUND_GENERAL_LOUD_POUND2 },
            { name = "SOUND_GENERAL_METAL_POUND", value = SOUND_GENERAL_METAL_POUND },
            { name = "SOUND_GENERAL_MOVING_IN_SAND", value = SOUND_GENERAL_MOVING_IN_SAND },
            { name = "SOUND_GENERAL_MOVING_PLATFORM_SWITCH", value = SOUND_GENERAL_MOVING_PLATFORM_SWITCH },
            { name = "SOUND_GENERAL_MOVING_WATER", value = SOUND_GENERAL_MOVING_WATER },
            { name = "SOUND_GENERAL_OPEN_CHEST", value = SOUND_GENERAL_OPEN_CHEST },
            { name = "SOUND_GENERAL_OPEN_IRON_DOOR", value = SOUND_GENERAL_OPEN_IRON_DOOR },
            { name = "SOUND_GENERAL_OPEN_WOOD_DOOR", value = SOUND_GENERAL_OPEN_WOOD_DOOR },
            { name = "SOUND_GENERAL_PAINTING_EJECT", value = SOUND_GENERAL_PAINTING_EJECT },
            { name = "SOUND_GENERAL_PENDULUM_SWING", value = SOUND_GENERAL_PENDULUM_SWING },
            { name = "SOUND_GENERAL_PLATFORM", value = SOUND_GENERAL_PLATFORM },
            { name = "SOUND_GENERAL_POUND_ROCK", value = SOUND_GENERAL_POUND_ROCK },
            { name = "SOUND_GENERAL_POUND_WOOD_POST", value = SOUND_GENERAL_POUND_WOOD_POST },
            { name = "SOUND_GENERAL_QUIET_BUBBLE", value = SOUND_GENERAL_QUIET_BUBBLE },
            { name = "SOUND_GENERAL_QUIET_BUBBLE2", value = SOUND_GENERAL_QUIET_BUBBLE2 },
            { name = "SOUND_GENERAL_QUIET_POUND1", value = SOUND_GENERAL_QUIET_POUND1 },
            { name = "SOUND_GENERAL_QUIET_POUND1_LOWPRIO", value = SOUND_GENERAL_QUIET_POUND1_LOWPRIO },
            { name = "SOUND_GENERAL_QUIET_POUND2", value = SOUND_GENERAL_QUIET_POUND2 },
            { name = "SOUND_GENERAL_RACE_GUN_SHOT", value = SOUND_GENERAL_RACE_GUN_SHOT },
            { name = "SOUND_GENERAL_RED_COIN", value = SOUND_GENERAL_RED_COIN },
            { name = "SOUND_GENERAL_SHAKE_COFFIN", value = SOUND_GENERAL_SHAKE_COFFIN },
            { name = "SOUND_GENERAL_SHORT_POUND1", value = SOUND_GENERAL_SHORT_POUND1 },
            { name = "SOUND_GENERAL_SHORT_POUND2", value = SOUND_GENERAL_SHORT_POUND2 },
            { name = "SOUND_GENERAL_SHORT_POUND3", value = SOUND_GENERAL_SHORT_POUND3 },
            { name = "SOUND_GENERAL_SHORT_POUND4", value = SOUND_GENERAL_SHORT_POUND4 },
            { name = "SOUND_GENERAL_SHORT_POUND5", value = SOUND_GENERAL_SHORT_POUND5 },
            { name = "SOUND_GENERAL_SHORT_POUND6", value = SOUND_GENERAL_SHORT_POUND6 },
            { name = "SOUND_GENERAL_SHORT_STAR", value = SOUND_GENERAL_SHORT_STAR },
            { name = "SOUND_GENERAL_SOFT_LANDING", value = SOUND_GENERAL_SOFT_LANDING },
            { name = "SOUND_GENERAL_SPLATTERING", value = SOUND_GENERAL_SPLATTERING },
            { name = "SOUND_GENERAL_STAR_APPEARS", value = SOUND_GENERAL_STAR_APPEARS },
            { name = "SOUND_GENERAL_STAR_DOOR_CLOSE", value = SOUND_GENERAL_STAR_DOOR_CLOSE },
                { name = "SOUND_GENERAL_STAR_DOOR_OPEN", value = SOUND_GENERAL_STAR_DOOR_OPEN },
                { name = "SOUND_GENERAL_SWISH_AIR", value = SOUND_GENERAL_SWISH_AIR },
                { name = "SOUND_GENERAL_SWISH_AIR_2", value = SOUND_GENERAL_SWISH_AIR_2 },
                { name = "SOUND_GENERAL_SWISH_WATER", value = SOUND_GENERAL_SWISH_WATER },
                { name = "SOUND_GENERAL_SWITCH_DOOR_OPEN", value = SOUND_GENERAL_SWITCH_DOOR_OPEN },
                { name = "SOUND_GENERAL_UNK32", value = SOUND_GENERAL_UNK32 },
                { name = "SOUND_GENERAL_UNK45", value = SOUND_GENERAL_UNK45 },
                { name = "SOUND_GENERAL_UNK46", value = SOUND_GENERAL_UNK46 },
                { name = "SOUND_GENERAL_UNK46_LOWPRIO", value = SOUND_GENERAL_UNK46_LOWPRIO },
                { name = "SOUND_GENERAL_UNKNOWN1", value = SOUND_GENERAL_UNKNOWN1 },
                { name = "SOUND_GENERAL_UNKNOWN1_2", value = SOUND_GENERAL_UNKNOWN1_2 },
                { name = "SOUND_GENERAL_UNKNOWN3", value = SOUND_GENERAL_UNKNOWN3 },
                { name = "SOUND_GENERAL_UNKNOWN3_2", value = SOUND_GENERAL_UNKNOWN3_2 },
                { name = "SOUND_GENERAL_UNKNOWN3_LOWPRIO", value = SOUND_GENERAL_UNKNOWN3_LOWPRIO },
                { name = "SOUND_GENERAL_UNKNOWN4", value = SOUND_GENERAL_UNKNOWN4 },
                { name = "SOUND_GENERAL_UNKNOWN4_LOWPRIO", value = SOUND_GENERAL_UNKNOWN4_LOWPRIO },
                { name = "SOUND_GENERAL_VANISH_SFX", value = SOUND_GENERAL_VANISH_SFX },
                { name = "SOUND_GENERAL_VOLCANO_EXPLOSION", value = SOUND_GENERAL_VOLCANO_EXPLOSION },
                { name = "SOUND_GENERAL_WALL_EXPLOSION", value = SOUND_GENERAL_WALL_EXPLOSION },
                { name = "SOUND_GENERAL_WATER_LEVEL_TRIG", value = SOUND_GENERAL_WATER_LEVEL_TRIG },
                { name = "SOUND_GENERAL_YOSHI_TALK", value = SOUND_GENERAL_YOSHI_TALK },
                { name = "SOUND_GENERAL_YOSHI_WALK", value = SOUND_GENERAL_YOSHI_WALK },
                { name = "SOUND_LOWER_BACKGROUND_MUSIC", value = SOUND_LOWER_BACKGROUND_MUSIC },
                { name = "SOUND_MARIO_ATTACKED", value = SOUND_MARIO_ATTACKED },
                { name = "SOUND_MARIO_COUGHING1", value = SOUND_MARIO_COUGHING1 },
                { name = "SOUND_MARIO_COUGHING2", value = SOUND_MARIO_COUGHING2 },
                { name = "SOUND_MARIO_COUGHING3", value = SOUND_MARIO_COUGHING3 },
                { name = "SOUND_MARIO_DOH", value = SOUND_MARIO_DOH },
                { name = "SOUND_MARIO_DROWNING", value = SOUND_MARIO_DROWNING },
                { name = "SOUND_MARIO_DYING", value = SOUND_MARIO_DYING },
                { name = "SOUND_MARIO_EEUH", value = SOUND_MARIO_EEUH },
                { name = "SOUND_MARIO_GAME_OVER", value = SOUND_MARIO_GAME_OVER },
                { name = "SOUND_MARIO_GROUND_POUND_WAH", value = SOUND_MARIO_GROUND_POUND_WAH },
                { name = "SOUND_MARIO_HAHA", value = SOUND_MARIO_HAHA },
                { name = "SOUND_MARIO_HAHA_2", value = SOUND_MARIO_HAHA_2 },
                { name = "SOUND_MARIO_HELLO", value = SOUND_MARIO_HELLO },
                { name = "SOUND_MARIO_HERE_WE_GO", value = SOUND_MARIO_HERE_WE_GO },
                { name = "SOUND_MARIO_HOOHOO", value = SOUND_MARIO_HOOHOO },
                { name = "SOUND_MARIO_HRMM", value = SOUND_MARIO_HRMM },
                { name = "SOUND_MARIO_IMA_TIRED", value = SOUND_MARIO_IMA_TIRED },
                { name = "SOUND_MARIO_LETS_A_GO", value = SOUND_MARIO_LETS_A_GO },
                { name = "SOUND_MARIO_MAMA_MIA", value = SOUND_MARIO_MAMA_MIA },
                { name = "SOUND_MARIO_OKEY_DOKEY", value = SOUND_MARIO_OKEY_DOKEY },
                { name = "SOUND_MARIO_ON_FIRE", value = SOUND_MARIO_ON_FIRE },
                { name = "SOUND_MARIO_OOOF", value = SOUND_MARIO_OOOF },
                { name = "SOUND_MARIO_OOOF2", value = SOUND_MARIO_OOOF2 },
                { name = "SOUND_MARIO_PANTING", value = SOUND_MARIO_PANTING },
                { name = "SOUND_MARIO_PANTING_COLD", value = SOUND_MARIO_PANTING_COLD },
                { name = "SOUND_MARIO_PRESS_START_TO_PLAY", value = SOUND_MARIO_PRESS_START_TO_PLAY },
                { name = "SOUND_MARIO_PUNCH_HOO", value = SOUND_MARIO_PUNCH_HOO },
                { name = "SOUND_MARIO_PUNCH_WAH", value = SOUND_MARIO_PUNCH_WAH },
                { name = "SOUND_MARIO_PUNCH_YAH", value = SOUND_MARIO_PUNCH_YAH },
                { name = "SOUND_MARIO_SNORING1", value = SOUND_MARIO_SNORING1 },
                { name = "SOUND_MARIO_SNORING2", value = SOUND_MARIO_SNORING2 },
                { name = "SOUND_MARIO_SNORING3", value = SOUND_MARIO_SNORING3 },
                    { name = "SOUND_MARIO_SO_LONGA_BOWSER", value = SOUND_MARIO_SO_LONGA_BOWSER },
                    { name = "SOUND_MARIO_TWIRL_BOUNCE", value = SOUND_MARIO_TWIRL_BOUNCE },
                    { name = "SOUND_MARIO_UH", value = SOUND_MARIO_UH },
                    { name = "SOUND_MARIO_UH2", value = SOUND_MARIO_UH2 },
                    { name = "SOUND_MARIO_UH2_2", value = SOUND_MARIO_UH2_2 },
                    { name = "SOUND_MARIO_WAAAOOOW", value = SOUND_MARIO_WAAAOOOW },
                    { name = "SOUND_MARIO_WAH2", value = SOUND_MARIO_WAH2 },
                    { name = "SOUND_MARIO_WHOA", value = SOUND_MARIO_WHOA },
                    { name = "SOUND_MARIO_YAHOO", value = SOUND_MARIO_YAHOO },
                    { name = "SOUND_MARIO_YAHOO_WAHA_YIPPEE", value = SOUND_MARIO_YAHOO_WAHA_YIPPEE },
                    { name = "SOUND_MARIO_YAH_WAH_HOO", value = SOUND_MARIO_YAH_WAH_HOO },
                    { name = "SOUND_MARIO_YAWNING", value = SOUND_MARIO_YAWNING },
                    { name = "SOUND_MENU_BOWSER_LAUGH", value = SOUND_MENU_BOWSER_LAUGH },
                    { name = "SOUND_MENU_CAMERA_BUZZ", value = SOUND_MENU_CAMERA_BUZZ },
                    { name = "SOUND_MENU_CAMERA_TURN", value = SOUND_MENU_CAMERA_TURN },
                    { name = "SOUND_MENU_CAMERA_UNUSED1", value = SOUND_MENU_CAMERA_UNUSED1 },
                    { name = "SOUND_MENU_CAMERA_UNUSED2", value = SOUND_MENU_CAMERA_UNUSED2 },
                    { name = "SOUND_MENU_CAMERA_ZOOM_IN", value = SOUND_MENU_CAMERA_ZOOM_IN },
                    { name = "SOUND_MENU_CAMERA_ZOOM_OUT", value = SOUND_MENU_CAMERA_ZOOM_OUT },
                    { name = "SOUND_MENU_CHANGE_SELECT", value = SOUND_MENU_CHANGE_SELECT },
                    { name = "SOUND_MENU_CLICK_CHANGE_VIEW", value = SOUND_MENU_CLICK_CHANGE_VIEW },
                    { name = "SOUND_MENU_CLICK_FILE_SELECT", value = SOUND_MENU_CLICK_FILE_SELECT },
                    { name = "SOUND_MENU_COIN_ITS_A_ME_MARIO", value = SOUND_MENU_COIN_ITS_A_ME_MARIO },
                    { name = "SOUND_MENU_COLLECT_RED_COIN", value = SOUND_MENU_COLLECT_RED_COIN },
                    { name = "SOUND_MENU_COLLECT_SECRET", value = SOUND_MENU_COLLECT_SECRET },
                    { name = "SOUND_MENU_ENTER_HOLE", value = SOUND_MENU_ENTER_HOLE },
                    { name = "SOUND_MENU_ENTER_PIPE", value = SOUND_MENU_ENTER_PIPE },
                    { name = "SOUND_MENU_EXIT_A_SIGN", value = SOUND_MENU_EXIT_A_SIGN },
                    { name = "SOUND_MENU_EXIT_PIPE", value = SOUND_MENU_EXIT_PIPE },
                    { name = "SOUND_MENU_HAND_APPEAR", value = SOUND_MENU_HAND_APPEAR },
                    { name = "SOUND_MENU_HAND_DISAPPEAR", value = SOUND_MENU_HAND_DISAPPEAR },
                    { name = "SOUND_MENU_LET_GO_MARIO_FACE", value = SOUND_MENU_LET_GO_MARIO_FACE },
                    { name = "SOUND_MENU_MARIO_CASTLE_WARP", value = SOUND_MENU_MARIO_CASTLE_WARP },
                    { name = "SOUND_MENU_MARIO_CASTLE_WARP2", value = SOUND_MENU_MARIO_CASTLE_WARP2 },
                    { name = "SOUND_MENU_MESSAGE_APPEAR", value = SOUND_MENU_MESSAGE_APPEAR },
                    { name = "SOUND_MENU_MESSAGE_DISAPPEAR", value = SOUND_MENU_MESSAGE_DISAPPEAR },
                    { name = "SOUND_MENU_MESSAGE_NEXT_PAGE", value = SOUND_MENU_MESSAGE_NEXT_PAGE },
                    { name = "SOUND_MENU_PAUSE", value = SOUND_MENU_PAUSE },
                    { name = "SOUND_MENU_PAUSE_2", value = SOUND_MENU_PAUSE_2 },
                    { name = "SOUND_MENU_PAUSE_HIGHPRIO", value = SOUND_MENU_PAUSE_HIGHPRIO },
                    { name = "SOUND_MENU_PINCH_MARIO_FACE", value = SOUND_MENU_PINCH_MARIO_FACE },
                    { name = "SOUND_MENU_POWER_METER", value = SOUND_MENU_POWER_METER },
                    { name = "SOUND_MENU_READ_A_SIGN", value = SOUND_MENU_READ_A_SIGN },
                    { name = "SOUND_MENU_REVERSE_PAUSE", value = SOUND_MENU_REVERSE_PAUSE },
                    { name = "SOUND_MENU_STAR_SOUND", value = SOUND_MENU_STAR_SOUND },
                    { name = "SOUND_MENU_STAR_SOUND_LETS_A_GO", value = SOUND_MENU_STAR_SOUND_LETS_A_GO },
                    { name = "SOUND_MENU_STAR_SOUND_OKEY_DOKEY", value = SOUND_MENU_STAR_SOUND_OKEY_DOKEY },
                    { name = "SOUND_MENU_THANK_YOU_PLAYING_MY_GAME", value = SOUND_MENU_THANK_YOU_PLAYING_MY_GAME },
                    { name = "SOUND_MENU_UNK0C", value = SOUND_MENU_UNK0C },
                    { name = "SOUND_MENU_UNK10", value = SOUND_MENU_UNK10 },
                    { name = "SOUND_MENU_YOSHI_GAIN_LIVES", value = SOUND_MENU_YOSHI_GAIN_LIVES },
                    { name = "SOUND_MOVING_AIM_CANNON", value = SOUND_MOVING_AIM_CANNON },
                    { name = "SOUND_MOVING_ALMOST_DROWNING", value = SOUND_MOVING_ALMOST_DROWNING },
                    { name = "SOUND_MOVING_FLYING", value = SOUND_MOVING_FLYING },
                    { name = "SOUND_MOVING_LAVA_BURN", value = SOUND_MOVING_LAVA_BURN },
                    { name = "SOUND_MOVING_QUICKSAND_DEATH", value = SOUND_MOVING_QUICKSAND_DEATH },
                    { name = "SOUND_MOVING_RIDING_SHELL_LAVA", value = SOUND_MOVING_RIDING_SHELL_LAVA },
                    { name = "SOUND_MOVING_SHOCKED", value = SOUND_MOVING_SHOCKED },
                    { name = "SOUND_MOVING_SLIDE_DOWN_POLE", value = SOUND_MOVING_SLIDE_DOWN_POLE },
                    { name = "SOUND_MOVING_SLIDE_DOWN_TREE", value = SOUND_MOVING_SLIDE_DOWN_TREE },
                    { name = "SOUND_MOVING_TERRAIN_RIDING_SHELL", value = SOUND_MOVING_TERRAIN_RIDING_SHELL },
                    { name = "SOUND_MOVING_TERRAIN_SLIDE", value = SOUND_MOVING_TERRAIN_SLIDE },
                    { name = "SOUND_MOVING_UNK1A", value = SOUND_MOVING_UNK1A },
                    { name = "SOUND_NO_ECHO", value = SOUND_NO_ECHO },
                    { name = "SOUND_NO_PRIORITY_LOSS", value = SOUND_NO_PRIORITY_LOSS },
                    { name = "SOUND_NO_VOLUME_LOSS", value = SOUND_NO_VOLUME_LOSS },
                    { name = "SOUND_OBJ2_BABY_PENGUIN_YELL", value = SOUND_OBJ2_BABY_PENGUIN_YELL },
                    { name = "SOUND_OBJ2_BIRD_CHIRP1", value = SOUND_OBJ2_BIRD_CHIRP1 },
                    { name = "SOUND_OBJ2_BOSS_DIALOG_GRUNT", value = SOUND_OBJ2_BOSS_DIALOG_GRUNT },
                    { name = "SOUND_OBJ2_BOWSER_PUZZLE_PIECE_MOVE", value = SOUND_OBJ2_BOWSER_PUZZLE_PIECE_MOVE },
                    { name = "SOUND_OBJ2_BOWSER_ROAR", value = SOUND_OBJ2_BOWSER_ROAR },
                    { name = "SOUND_OBJ2_BOWSER_TELEPORT", value = SOUND_OBJ2_BOWSER_TELEPORT },
                    { name = "SOUND_OBJ2_BULLY_ATTACKED", value = SOUND_OBJ2_BULLY_ATTACKED },
                    { name = "SOUND_OBJ2_EYEROK_SOUND_LONG", value = SOUND_OBJ2_EYEROK_SOUND_LONG },
                    { name = "SOUND_OBJ2_EYEROK_SOUND_SHORT", value = SOUND_OBJ2_EYEROK_SOUND_SHORT },
                    { name = "SOUND_OBJ2_KING_BOBOMB_DAMAGE", value = SOUND_OBJ2_KING_BOBOMB_DAMAGE },
                    { name = "SOUND_OBJ2_LARGE_BULLY_ATTACKED", value = SOUND_OBJ2_LARGE_BULLY_ATTACKED },
                    { name = "SOUND_OBJ2_MONTY_MOLE_APPEAR", value = SOUND_OBJ2_MONTY_MOLE_APPEAR },
                    { name = "SOUND_OBJ2_MRI_SPINNING", value = SOUND_OBJ2_MRI_SPINNING },
                    { name = "SOUND_OBJ2_PIRANHA_PLANT_BITE", value = SOUND_OBJ2_PIRANHA_PLANT_BITE },
                    { name = "SOUND_OBJ2_PIRANHA_PLANT_DYING", value = SOUND_OBJ2_PIRANHA_PLANT_DYING },
                    { name = "SOUND_OBJ2_SCUTTLEBUG_ALERT", value = SOUND_OBJ2_SCUTTLEBUG_ALERT },
                    { name = "SOUND_OBJ2_SCUTTLEBUG_WALK", value = SOUND_OBJ2_SCUTTLEBUG_WALK },
                    { name = "SOUND_OBJ2_SWOOP", value = SOUND_OBJ2_SWOOP },
                    { name = "SOUND_OBJ2_WHOMP_SOUND_SHORT", value = SOUND_OBJ2_WHOMP_SOUND_SHORT },
                    { name = "SOUND_OBJ_BABY_PENGUIN_DIVE", value = SOUND_OBJ_BABY_PENGUIN_DIVE },
                    { name = "SOUND_OBJ_BABY_PENGUIN_WALK", value = SOUND_OBJ_BABY_PENGUIN_WALK },
                    { name = "SOUND_OBJ_BIG_PENGUIN_WALK", value = SOUND_OBJ_BIG_PENGUIN_WALK },
                    { name = "SOUND_OBJ_BIG_PENGUIN_YELL", value = SOUND_OBJ_BIG_PENGUIN_YELL },
                    { name = "SOUND_OBJ_BIRD_CHIRP3", value = SOUND_OBJ_BIRD_CHIRP3 },
                    { name = "SOUND_OBJ_BOBOMB_BUDDY_TALK", value = SOUND_OBJ_BOBOMB_BUDDY_TALK },
                    { name = "SOUND_OBJ_BOBOMB_WALK", value = SOUND_OBJ_BOBOMB_WALK },
                    { name = "SOUND_OBJ_BOO_BOUNCE_TOP", value = SOUND_OBJ_BOO_BOUNCE_TOP },
                    { name = "SOUND_OBJ_BOO_LAUGH_LONG", value = SOUND_OBJ_BOO_LAUGH_LONG },
                    { name = "SOUND_OBJ_BOO_LAUGH_SHORT", value = SOUND_OBJ_BOO_LAUGH_SHORT },
                    { name = "SOUND_OBJ_BOWSER_DEFEATED", value = SOUND_OBJ_BOWSER_DEFEATED },
                    { name = "SOUND_OBJ_BOWSER_INHALING", value = SOUND_OBJ_BOWSER_INHALING },
                    { name = "SOUND_OBJ_BOWSER_INTRO_LAUGH", value = SOUND_OBJ_BOWSER_INTRO_LAUGH },
                        { name = "SOUND_OBJ_BOWSER_LAUGH", value = SOUND_OBJ_BOWSER_LAUGH },
                        { name = "SOUND_OBJ_BOWSER_SPINNING", value = SOUND_OBJ_BOWSER_SPINNING },
                        { name = "SOUND_OBJ_BOWSER_TAIL_PICKUP", value = SOUND_OBJ_BOWSER_TAIL_PICKUP },
                        { name = "SOUND_OBJ_BOWSER_WALK", value = SOUND_OBJ_BOWSER_WALK },
                        { name = "SOUND_OBJ_BUBBA_CHOMP", value = SOUND_OBJ_BUBBA_CHOMP },
                        { name = "SOUND_OBJ_BULLY_EXPLODE", value = SOUND_OBJ_BULLY_EXPLODE },
                        { name = "SOUND_OBJ_BULLY_EXPLODE_2", value = SOUND_OBJ_BULLY_EXPLODE_2 },
                        { name = "SOUND_OBJ_BULLY_METAL", value = SOUND_OBJ_BULLY_METAL },
                        { name = "SOUND_OBJ_BULLY_WALK", value = SOUND_OBJ_BULLY_WALK },
                        { name = "SOUND_OBJ_BULLY_WALKING", value = SOUND_OBJ_BULLY_WALKING },
                        { name = "SOUND_OBJ_CANNON1", value = SOUND_OBJ_CANNON1 },
                        { name = "SOUND_OBJ_CANNON2", value = SOUND_OBJ_CANNON2 },
                        { name = "SOUND_OBJ_CANNON3", value = SOUND_OBJ_CANNON3 },
                        { name = "SOUND_OBJ_CANNON4", value = SOUND_OBJ_CANNON4 },
                        { name = "SOUND_OBJ_CHUCKYA_DEATH", value = SOUND_OBJ_CHUCKYA_DEATH },
                        { name = "SOUND_OBJ_DEFAULT_DEATH", value = SOUND_OBJ_DEFAULT_DEATH },
                        { name = "SOUND_OBJ_DIVING_INTO_WATER", value = SOUND_OBJ_DIVING_INTO_WATER },
                        { name = "SOUND_OBJ_DIVING_IN_WATER", value = SOUND_OBJ_DIVING_IN_WATER },
                        { name = "SOUND_OBJ_DORRIE", value = SOUND_OBJ_DORRIE },
                        { name = "SOUND_OBJ_DYING_ENEMY1", value = SOUND_OBJ_DYING_ENEMY1 },
                        { name = "SOUND_OBJ_DYING_ENEMY2", value = SOUND_OBJ_DYING_ENEMY2 },
                        { name = "SOUND_OBJ_EEL", value = SOUND_OBJ_EEL },
                        { name = "SOUND_OBJ_EEL_2", value = SOUND_OBJ_EEL_2 },
                        { name = "SOUND_OBJ_ENEMY_DEATH_HIGH", value = SOUND_OBJ_ENEMY_DEATH_HIGH },
                        { name = "SOUND_OBJ_ENEMY_DEATH_LOW", value = SOUND_OBJ_ENEMY_DEATH_LOW },
                        { name = "SOUND_OBJ_ENEMY_DEFEAT_SHRINK", value = SOUND_OBJ_ENEMY_DEFEAT_SHRINK },
                        { name = "SOUND_OBJ_EVIL_LAKITU_THROW", value = SOUND_OBJ_EVIL_LAKITU_THROW },
                        { name = "SOUND_OBJ_EYEROK_EXPLODE", value = SOUND_OBJ_EYEROK_EXPLODE },
                        { name = "SOUND_OBJ_EYEROK_SHOW_EYE", value = SOUND_OBJ_EYEROK_SHOW_EYE },
                        { name = "SOUND_OBJ_FLAME_BLOWN", value = SOUND_OBJ_FLAME_BLOWN },
                        { name = "SOUND_OBJ_GOOMBA_ALERT", value = SOUND_OBJ_GOOMBA_ALERT },
                        { name = "SOUND_OBJ_GOOMBA_WALK", value = SOUND_OBJ_GOOMBA_WALK },
                        { name = "SOUND_OBJ_HEAVEHO_TOSSED", value = SOUND_OBJ_HEAVEHO_TOSSED },
                        { name = "SOUND_OBJ_JUMP_WALK_WATER", value = SOUND_OBJ_JUMP_WALK_WATER },
                        { name = "SOUND_OBJ_KING_BOBOMB", value = SOUND_OBJ_KING_BOBOMB },
                        { name = "SOUND_OBJ_KING_BOBOMB_JUMP", value = SOUND_OBJ_KING_BOBOMB_JUMP },
                        { name = "SOUND_OBJ_KING_BOBOMB_TALK", value = SOUND_OBJ_KING_BOBOMB_TALK },
                        { name = "SOUND_OBJ_KING_WHOMP_DEATH", value = SOUND_OBJ_KING_WHOMP_DEATH },
                        { name = "SOUND_OBJ_KLEPTO1", value = SOUND_OBJ_KLEPTO1 },
                        { name = "SOUND_OBJ_KLEPTO2", value = SOUND_OBJ_KLEPTO2 },
                        { name = "SOUND_OBJ_KOOPA_DAMAGE", value = SOUND_OBJ_KOOPA_DAMAGE },
                        { name = "SOUND_OBJ_KOOPA_FLYGUY_DEATH", value = SOUND_OBJ_KOOPA_FLYGUY_DEATH },
                        { name = "SOUND_OBJ_KOOPA_TALK", value = SOUND_OBJ_KOOPA_TALK },
                            { name = "SOUND_OBJ_KOOPA_THE_QUICK_WALK", value = SOUND_OBJ_KOOPA_THE_QUICK_WALK },
                            { name = "SOUND_OBJ_KOOPA_WALK", value = SOUND_OBJ_KOOPA_WALK },
                            { name = "SOUND_OBJ_MAD_PIANO_CHOMPING", value = SOUND_OBJ_MAD_PIANO_CHOMPING },
                            { name = "SOUND_OBJ_MIPS_RABBIT", value = SOUND_OBJ_MIPS_RABBIT },
                            { name = "SOUND_OBJ_MIPS_RABBIT_WATER", value = SOUND_OBJ_MIPS_RABBIT_WATER },
                            { name = "SOUND_OBJ_MONTY_MOLE_ATTACK", value = SOUND_OBJ_MONTY_MOLE_ATTACK },
                            { name = "SOUND_OBJ_MRI_DEATH", value = SOUND_OBJ_MRI_DEATH },
                            { name = "SOUND_OBJ_MRI_SHOOT", value = SOUND_OBJ_MRI_SHOOT },
                            { name = "SOUND_OBJ_MR_BLIZZARD_ALERT", value = SOUND_OBJ_MR_BLIZZARD_ALERT },
                            { name = "SOUND_OBJ_PIRANHA_PLANT_APPEAR", value = SOUND_OBJ_PIRANHA_PLANT_APPEAR },
                            { name = "SOUND_OBJ_PIRANHA_PLANT_SHRINK", value = SOUND_OBJ_PIRANHA_PLANT_SHRINK },
                            { name = "SOUND_OBJ_POKEY_DEATH", value = SOUND_OBJ_POKEY_DEATH },
                            { name = "SOUND_OBJ_POUNDING1", value = SOUND_OBJ_POUNDING1 },
                            { name = "SOUND_OBJ_POUNDING1_HIGHPRIO", value = SOUND_OBJ_POUNDING1_HIGHPRIO },
                            { name = "SOUND_OBJ_POUNDING_CANNON", value = SOUND_OBJ_POUNDING_CANNON },
                            { name = "SOUND_OBJ_POUNDING_LOUD", value = SOUND_OBJ_POUNDING_LOUD },
                            { name = "SOUND_OBJ_SKEETER_WALK", value = SOUND_OBJ_SKEETER_WALK },
                            { name = "SOUND_OBJ_SNOWMAN_BOUNCE", value = SOUND_OBJ_SNOWMAN_BOUNCE },
                            { name = "SOUND_OBJ_SNOWMAN_EXPLODE", value = SOUND_OBJ_SNOWMAN_EXPLODE },
                            { name = "SOUND_OBJ_SNOW_SAND1", value = SOUND_OBJ_SNOW_SAND1 },
                            { name = "SOUND_OBJ_SNOW_SAND2", value = SOUND_OBJ_SNOW_SAND2 },
                            { name = "SOUND_OBJ_SNUFIT_SHOOT", value = SOUND_OBJ_SNUFIT_SHOOT },
                            { name = "SOUND_OBJ_SNUFIT_SKEETER_DEATH", value = SOUND_OBJ_SNUFIT_SKEETER_DEATH },
                            { name = "SOUND_OBJ_SOMETHING_LANDING", value = SOUND_OBJ_SOMETHING_LANDING },
                            { name = "SOUND_OBJ_SPINY_UNK59", value = SOUND_OBJ_SPINY_UNK59 },
                            { name = "SOUND_OBJ_STOMPED", value = SOUND_OBJ_STOMPED },
                            { name = "SOUND_OBJ_SUSHI_SHARK_WATER_SOUND", value = SOUND_OBJ_SUSHI_SHARK_WATER_SOUND },
                            { name = "SOUND_OBJ_SWOOP_DEATH", value = SOUND_OBJ_SWOOP_DEATH },
                            { name = "SOUND_OBJ_THWOMP", value = SOUND_OBJ_THWOMP },
                            { name = "SOUND_OBJ_UKIKI_CHATTER_IDLE", value = SOUND_OBJ_UKIKI_CHATTER_IDLE },
                            { name = "SOUND_OBJ_UKIKI_CHATTER_LONG", value = SOUND_OBJ_UKIKI_CHATTER_LONG },
                            { name = "SOUND_OBJ_UKIKI_CHATTER_SHORT", value = SOUND_OBJ_UKIKI_CHATTER_SHORT },
                            { name = "SOUND_OBJ_UKIKI_STEP_DEFAULT", value = SOUND_OBJ_UKIKI_STEP_DEFAULT },
                            { name = "SOUND_OBJ_UKIKI_STEP_LEAVES", value = SOUND_OBJ_UKIKI_STEP_LEAVES },
                            { name = "SOUND_OBJ_UNK23", value = SOUND_OBJ_UNK23 },
                            { name = "SOUND_OBJ_UNKNOWN2", value = SOUND_OBJ_UNKNOWN2 },
                            { name = "SOUND_OBJ_UNKNOWN3", value = SOUND_OBJ_UNKNOWN3 },
                            { name = "SOUND_OBJ_UNKNOWN4", value = SOUND_OBJ_UNKNOWN4 },
                            { name = "SOUND_OBJ_UNKNOWN6", value = SOUND_OBJ_UNKNOWN6 },
                            { name = "SOUND_OBJ_WALKING_WATER", value = SOUND_OBJ_WALKING_WATER },
                            { name = "SOUND_OBJ_WATER_BOMB_BOUNCING", value = SOUND_OBJ_WATER_BOMB_BOUNCING },
                            { name = "SOUND_OBJ_WHOMP_LOWPRIO", value = SOUND_OBJ_WHOMP_LOWPRIO },
                            { name = "SOUND_OBJ_WIGGLER_ATTACKED", value = SOUND_OBJ_WIGGLER_ATTACKED },
                            { name = "SOUND_OBJ_WIGGLER_DEATH", value = SOUND_OBJ_WIGGLER_DEATH },
                            { name = "SOUND_OBJ_WIGGLER_HIGH_PITCH", value = SOUND_OBJ_WIGGLER_HIGH_PITCH },
                            { name = "SOUND_OBJ_WIGGLER_JUMP", value = SOUND_OBJ_WIGGLER_JUMP },
                            { name = "SOUND_OBJ_WIGGLER_LOW_PITCH", value = SOUND_OBJ_WIGGLER_LOW_PITCH },
                            { name = "SOUND_OBJ_WIGGLER_TALK", value = SOUND_OBJ_WIGGLER_TALK },
                            { name = "SOUND_PEACH_BAKE_A_CAKE", value = SOUND_PEACH_BAKE_A_CAKE },
                            { name = "SOUND_PEACH_DEAR_MARIO", value = SOUND_PEACH_DEAR_MARIO },
                            { name = "SOUND_PEACH_FOR_MARIO", value = SOUND_PEACH_FOR_MARIO },
                            { name = "SOUND_PEACH_MARIO", value = SOUND_PEACH_MARIO },
                            { name = "SOUND_PEACH_MARIO2", value = SOUND_PEACH_MARIO2 },
                            { name = "SOUND_PEACH_POWER_OF_THE_STARS", value = SOUND_PEACH_POWER_OF_THE_STARS },
                            { name = "SOUND_PEACH_SOMETHING_SPECIAL", value = SOUND_PEACH_SOMETHING_SPECIAL },
                            { name = "SOUND_PEACH_THANKS_TO_YOU", value = SOUND_PEACH_THANKS_TO_YOU },
                            { name = "SOUND_PEACH_THANK_YOU_MARIO", value = SOUND_PEACH_THANK_YOU_MARIO },
                            { name = "SOUND_STATUS_PLAYING", value = SOUND_STATUS_PLAYING },
                            { name = "SOUND_STATUS_STOPPED", value = SOUND_STATUS_STOPPED },
                            { name = "SOUND_STATUS_WAITING", value = SOUND_STATUS_WAITING },
                            { name = "SOUND_TERRAIN_DEFAULT", value = SOUND_TERRAIN_DEFAULT },
                            { name = "SOUND_TERRAIN_GRASS", value = SOUND_TERRAIN_GRASS },
                            { name = "SOUND_TERRAIN_ICE", value = SOUND_TERRAIN_ICE },
                            { name = "SOUND_TERRAIN_SAND", value = SOUND_TERRAIN_SAND },
                            { name = "SOUND_TERRAIN_SNOW", value = SOUND_TERRAIN_SNOW },
                            { name = "SOUND_TERRAIN_SPOOKY", value = SOUND_TERRAIN_SPOOKY },
                            { name = "SOUND_TERRAIN_STONE", value = SOUND_TERRAIN_STONE },
                            { name = "SOUND_TERRAIN_WATER", value = SOUND_TERRAIN_WATER },
                            { name = "SOUND_VIBRATO", value = SOUND_VIBRATO }
                        
}

local selected_sound = sounds[1]  -- sets selected sound to the first sound in our list
Currentselecteditem = 1

function mario_update(m)
    selected_sound = sounds[Currentselecteditem] -- sets our selected sound to whatever Currentselecteditem is currently equal to
                        if (m.controller.buttonPressed & U_JPAD) ~= 0 then -- if y nutton pressed
                        
                        
                            play_sound(selected_sound.value, m.marioObj.header.gfx.cameraToObject)   --play a sound near the camerea
                        end
                        if (m.controller.buttonPressed & L_JPAD) ~= 0 and Currentselecteditem > 0 then --cycle through all available actions
                            Currentselecteditem = Currentselecteditem - 1   -- by decreasing our number, we move back in our list
                        end




                        if (m.controller.buttonPressed & R_JPAD) ~= 0 then
                            Currentselecteditem = (Currentselecteditem % #sounds) + 1  -- Loops back after reaching the end
                        end
                 

end


function on_hud_render() -- function is called by HOOK_ON_HUD_RENDER

local text = "U_JPAD Sound" .. selected_sound.name
    djui_hud_set_color(255, 128, 0, 255) -- Orange text. first value is red value, second is green, third is blue, last is alpha (transparency)
    djui_hud_print_text(text, 180, 500, 2) -- Display the text at x = 180 y = 500) with scale 2
end



hook_event(HOOK_ON_HUD_RENDER, on_hud_render)
hook_event(HOOK_MARIO_UPDATE, mario_update)
